Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.opengl
Interface GLES2

All Superinterfaces:
  GL, GL2ES2, GLBase

All Known Implementing Classes:
  DebugGLES2, TraceGLES2

    public interface GLES2

extends GLBase, GL, GL2ES2

This interface contains all core embedded OpenGL methods of ES 2.x, with x >= 0, inclusive, as well as most of it's extensions defined at the time of this specification.

Field Summary
`static int` | `GL_NVIDIA_PLATFORM_BINARY_NV`

Fields inherited from interface javax.media.opengl.GL2ES2
`GL_ACTIVE_ATTRIBUTE_MAX_LENGTH, GL_ACTIVE_ATTRIBUTES, GL_ACTIVE_UNIFORM_MAX_LENGTH, GL_ACTIVE_UNIFORMS, GL_ATTACHED_SHADERS, GL_BLEND_COLOR, GL_BOOL, GL_BOOL_VEC2, GL_BOOL_VEC3, GL_BOOL_VEC4, GL_COMPILE_STATUS, GL_CONSTANT_ALPHA, GL_CONSTANT_COLOR, GL_CURRENT_PROGRAM, GL_CURRENT_VERTEX_ATTRIB, GL_DELETE_STATUS, GL_DEPTH_COMPONENT, GL_FLOAT_MAT2, GL_FLOAT_MAT3, GL_FLOAT_MAT4, GL_FLOAT_VEC2, GL_FLOAT_VEC3, GL_FLOAT_VEC4, GL_FRAGMENT_SHADER, GL_FRAGMENT_SHADER_DERIVATIVE_HINT, GL_HIGH_FLOAT, GL_HIGH_INT, GL_INFO_LOG_LENGTH, GL_INT, GL_INT_VEC2, GL_INT_VEC3, GL_INT_VEC4, GL_LINK_STATUS, GL_LOW_FLOAT, GL_LOW_INT, GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS, GL_MAX_FRAGMENT_UNIFORM_VECTORS, GL_MAX_TEXTURE_IMAGE_UNITS, GL_MAX_VARYING_VECTORS, GL_MAX_VERTEX_ATTRIBS, GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS, GL_MAX_VERTEX_UNIFORM_VECTORS, GL_MEDIUM_FLOAT, GL_MEDIUM_INT, GL_NUM_SHADER_BINARY_FORMATS, GL_ONE_MINUS_CONSTANT_ALPHA, GL_ONE_MINUS_CONSTANT_COLOR, GL_PLATFORM_BINARY, GL_SAMPLER_2D, GL_SAMPLER_CUBE, GL_SHADER_BINARY_FORMATS, GL_SHADER_COMPILER, GL_SHADER_SOURCE_LENGTH, GL_SHADER_TYPE, GL_SHADING_LANGUAGE_VERSION, GL_STENCIL_BACK_FAIL, GL_STENCIL_BACK_FUNC, GL_STENCIL_BACK_PASS_DEPTH_FAIL, GL_STENCIL_BACK_PASS_DEPTH_PASS, GL_STENCIL_BACK_REF, GL_STENCIL_BACK_VALUE_MASK, GL_STENCIL_BACK_WRITEMASK, GL_STENCIL_INDEX, GL_STREAM_DRAW, GL_UNSIGNED_INT, GL_VALIDATE_STATUS, GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING, GL_VERTEX_ATTRIB_ARRAY_ENABLED, GL_VERTEX_ATTRIB_ARRAY_NORMALIZED, GL_VERTEX_ATTRIB_ARRAY_POINTER, GL_VERTEX_ATTRIB_ARRAY_SIZE, GL_VERTEX_ATTRIB_ARRAY_STRIDE, GL_VERTEX_ATTRIB_ARRAY_TYPE, GL_VERTEX_SHADER`

Fields inherited from interface javax.media.opengl.GL
`GL_ACTIVE_TEXTURE, GL_ALIASED_LINE_WIDTH_RANGE, GL_ALIASED_POINT_SIZE_RANGE, GL_ALPHA, GL_ALPHA_BITS, GL_ALWAYS, GL_AND, GL_AND_INVERTED, GL_AND_REVERSE, GL_ARRAY_BUFFER, GL_ARRAY_BUFFER_BINDING, GL_BACK, GL_BLEND, GL_BLEND_DST, GL_BLEND_DST_ALPHA, GL_BLEND_DST_RGB, GL_BLEND_EQUATION, GL_BLEND_EQUATION_ALPHA, GL_BLEND_EQUATION_RGB, GL_BLEND_SRC, GL_BLEND_SRC_ALPHA, GL_BLEND_SRC_RGB, GL_BLUE_BITS, GL_BUFFER_ACCESS, GL_BUFFER_MAP_POINTER, GL_BUFFER_MAPPED, GL_BUFFER_SIZE, GL_BUFFER_USAGE, GL_BYTE, GL_CCW, GL_CLAMP_TO_EDGE, GL_CLEAR, GL_COLOR_ATTACHMENT0, GL_COLOR_BUFFER_BIT, GL_COLOR_CLEAR_VALUE, GL_COLOR_LOGIC_OP, GL_COLOR_WRITEMASK, GL_COMPRESSED_RGB_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT3_EXT, GL_COMPRESSED_RGBA_S3TC_DXT5_EXT, GL_COMPRESSED_TEXTURE_FORMATS, GL_COPY, GL_COPY_INVERTED, GL_CULL_FACE, GL_CULL_FACE_MODE, GL_CW, GL_DECR, GL_DECR_WRAP, GL_DEPTH_ATTACHMENT, GL_DEPTH_BITS, GL_DEPTH_BUFFER_BIT, GL_DEPTH_CLEAR_VALUE, GL_DEPTH_COMPONENT16, GL_DEPTH_COMPONENT24, GL_DEPTH_COMPONENT32, GL_DEPTH_FUNC, GL_DEPTH_RANGE, GL_DEPTH_TEST, GL_DEPTH_WRITEMASK, GL_DITHER, GL_DONT_CARE, GL_DST_ALPHA, GL_DST_COLOR, GL_DYNAMIC_DRAW, GL_ELEMENT_ARRAY_BUFFER, GL_ELEMENT_ARRAY_BUFFER_BINDING, GL_EQUAL, GL_EQUIV, GL_EXTENSIONS, GL_FALSE, GL_FASTEST, GL_FIXED, GL_FLOAT, GL_FRAMEBUFFER, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL, GL_FRAMEBUFFER_BINDING, GL_FRAMEBUFFER_COMPLETE, GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT, GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS, GL_FRAMEBUFFER_INCOMPLETE_FORMATS, GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT, GL_FRAMEBUFFER_UNSUPPORTED, GL_FRONT, GL_FRONT_AND_BACK, GL_FRONT_FACE, GL_FUNC_ADD, GL_FUNC_REVERSE_SUBTRACT, GL_FUNC_SUBTRACT, GL_GENERATE_MIPMAP_HINT, GL_GEQUAL, GL_GREATER, GL_GREEN_BITS, GL_HALF_FLOAT, GL_IMPLEMENTATION_COLOR_READ_FORMAT, GL_IMPLEMENTATION_COLOR_READ_TYPE, GL_INCR, GL_INCR_WRAP, GL_INVALID_ENUM, GL_INVALID_FRAMEBUFFER_OPERATION, GL_INVALID_OPERATION, GL_INVALID_VALUE, GL_INVERT, GL_KEEP, GL_LEQUAL, GL_LESS, GL_LINE_LOOP, GL_LINE_SMOOTH, GL_LINE_SMOOTH_HINT, GL_LINE_STRIP, GL_LINE_WIDTH, GL_LINEAR, GL_LINEAR_MIPMAP_LINEAR, GL_LINEAR_MIPMAP_NEAREST, GL_LINES, GL_LOGIC_OP_MODE, GL_LUMINANCE, GL_LUMINANCE_ALPHA, GL_MAX_ARRAY_TEXTURE_LAYERS, GL_MAX_CUBE_MAP_TEXTURE_SIZE, GL_MAX_RENDERBUFFER_SIZE, GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT, GL_MAX_TEXTURE_SIZE, GL_MAX_VIEWPORT_DIMS, GL_MIRRORED_REPEAT, GL_MULTISAMPLE, GL_NAND, GL_NEAREST, GL_NEAREST_MIPMAP_LINEAR, GL_NEAREST_MIPMAP_NEAREST, GL_NEVER, GL_NICEST, GL_NO_ERROR, GL_NONE, GL_NOOP, GL_NOR, GL_NOTEQUAL, GL_NUM_COMPRESSED_TEXTURE_FORMATS, GL_ONE, GL_ONE_MINUS_DST_ALPHA, GL_ONE_MINUS_DST_COLOR, GL_ONE_MINUS_SRC_ALPHA, GL_ONE_MINUS_SRC_COLOR, GL_OR, GL_OR_INVERTED, GL_OR_REVERSE, GL_OUT_OF_MEMORY, GL_PACK_ALIGNMENT, GL_POINT_FADE_THRESHOLD_SIZE, GL_POINT_SIZE, GL_POINTS, GL_POLYGON_OFFSET_FACTOR, GL_POLYGON_OFFSET_FILL, GL_POLYGON_OFFSET_UNITS, GL_R11F_G11F_B10F, GL_RED_BITS, GL_RENDERBUFFER, GL_RENDERBUFFER_ALPHA_SIZE, GL_RENDERBUFFER_BINDING, GL_RENDERBUFFER_BLUE_SIZE, GL_RENDERBUFFER_DEPTH_SIZE, GL_RENDERBUFFER_GREEN_SIZE, GL_RENDERBUFFER_HEIGHT, GL_RENDERBUFFER_INTERNAL_FORMAT, GL_RENDERBUFFER_RED_SIZE, GL_RENDERBUFFER_STENCIL_SIZE, GL_RENDERBUFFER_WIDTH, GL_RENDERER, GL_REPEAT, GL_REPLACE, GL_RGB, GL_RGB5_A1, GL_RGB565, GL_RGB8, GL_RGBA, GL_RGBA_SIGNED_COMPONENTS, GL_RGBA4, GL_RGBA8, GL_SAMPLE_ALPHA_TO_COVERAGE, GL_SAMPLE_ALPHA_TO_ONE, GL_SAMPLE_BUFFERS, GL_SAMPLE_COVERAGE, GL_SAMPLE_COVERAGE_INVERT, GL_SAMPLE_COVERAGE_VALUE, GL_SAMPLER_2D_ARRAY, GL_SAMPLES, GL_SCISSOR_BOX, GL_SCISSOR_TEST, GL_SET, GL_SHORT, GL_SMOOTH_LINE_WIDTH_RANGE, GL_SMOOTH_POINT_SIZE_RANGE, GL_SRC_ALPHA, GL_SRC_ALPHA_SATURATE, GL_SRC_COLOR, GL_STATIC_DRAW, GL_STENCIL_ATTACHMENT, GL_STENCIL_BITS, GL_STENCIL_BUFFER_BIT, GL_STENCIL_CLEAR_VALUE, GL_STENCIL_FAIL, GL_STENCIL_FUNC, GL_STENCIL_INDEX1, GL_STENCIL_INDEX4, GL_STENCIL_INDEX8, GL_STENCIL_PASS_DEPTH_FAIL, GL_STENCIL_PASS_DEPTH_PASS, GL_STENCIL_REF, GL_STENCIL_TEST, GL_STENCIL_VALUE_MASK, GL_STENCIL_WRITEMASK, GL_SUBPIXEL_BITS, GL_TEXTURE, GL_TEXTURE_2D, GL_TEXTURE_2D_ARRAY, GL_TEXTURE_BINDING_2D, GL_TEXTURE_BINDING_2D_ARRAY, GL_TEXTURE_BINDING_CUBE_MAP, GL_TEXTURE_CUBE_MAP, GL_TEXTURE_CUBE_MAP_NEGATIVE_X, GL_TEXTURE_CUBE_MAP_NEGATIVE_Y, GL_TEXTURE_CUBE_MAP_NEGATIVE_Z, GL_TEXTURE_CUBE_MAP_POSITIVE_X, GL_TEXTURE_CUBE_MAP_POSITIVE_Y, GL_TEXTURE_CUBE_MAP_POSITIVE_Z, GL_TEXTURE_MAG_FILTER, GL_TEXTURE_MAX_ANISOTROPY_EXT, GL_TEXTURE_MIN_FILTER, GL_TEXTURE_WRAP_S, GL_TEXTURE_WRAP_T, GL_TEXTURE0, GL_TEXTURE1, GL_TEXTURE10, GL_TEXTURE11, GL_TEXTURE12, GL_TEXTURE13, GL_TEXTURE14, GL_TEXTURE15, GL_TEXTURE16, GL_TEXTURE17, GL_TEXTURE18, GL_TEXTURE19, GL_TEXTURE2, GL_TEXTURE20, GL_TEXTURE21, GL_TEXTURE22, GL_TEXTURE23, GL_TEXTURE24, GL_TEXTURE25, GL_TEXTURE26, GL_TEXTURE27, GL_TEXTURE28, GL_TEXTURE29, GL_TEXTURE3, GL_TEXTURE30, GL_TEXTURE31, GL_TEXTURE4, GL_TEXTURE5, GL_TEXTURE6, GL_TEXTURE7, GL_TEXTURE8, GL_TEXTURE9, GL_TRIANGLE_FAN, GL_TRIANGLE_STRIP, GL_TRIANGLES, GL_TRUE, GL_UNPACK_ALIGNMENT, GL_UNSIGNED_BYTE, GL_UNSIGNED_INT_10F_11F_11F_REV, GL_UNSIGNED_SHORT, GL_UNSIGNED_SHORT_4_4_4_4, GL_UNSIGNED_SHORT_5_5_5_1, GL_UNSIGNED_SHORT_5_6_5, GL_VENDOR, GL_VERSION, GL_VIEWPORT, GL_WRITE_ONLY, GL_XOR, GL_ZERO`

Method Summary
`void` | `glEGLImageTargetTexture2DOES(int target, Buffer image)` Entry point to C language function: `void glEGLImageTargetTexture2DOES(GLenum target, GLeglImageOES image);` Part of `GL_OES_EGL_image`
`void` | `glGetShaderPrecisionFormat(int shadertype, int precisiontype, int[] range, int range_offset, int[] precision, int precision_offset)` Entry point to C language function: `void glGetShaderPrecisionFormat(GLenum shadertype, GLenum precisiontype, GLint * range, GLint * precision);` Part of `GL_ES_VERSION_2_0`
`void` | `glGetShaderPrecisionFormat(int shadertype, int precisiontype, IntBuffer range, IntBuffer precision)` Entry point to C language function: `void glGetShaderPrecisionFormat(GLenum shadertype, GLenum precisiontype, GLint * range, GLint * precision);` Part of `GL_ES_VERSION_2_0`

Methods inherited from interface javax.media.opengl.GL2ES2
`glAttachShader, glBindAttribLocation, glBlendColor, glClearDepth, glCompileShader, glCreateProgram, glCreateShader, glDeleteProgram, glDeleteShader, glDepthRange, glDetachShader, glDisableVertexAttribArray, glEnableVertexAttribArray, glGetActiveAttrib, glGetActiveAttrib, glGetActiveUniform, glGetActiveUniform, glGetAttachedShaders, glGetAttachedShaders, glGetAttribLocation, glGetProgramInfoLog, glGetProgramInfoLog, glGetProgramiv, glGetProgramiv, glGetShaderInfoLog, glGetShaderInfoLog, glGetShaderiv, glGetShaderiv, glGetShaderSource, glGetShaderSource, glGetUniformfv, glGetUniformfv, glGetUniformiv, glGetUniformiv, glGetUniformLocation, glGetVertexAttribfv, glGetVertexAttribfv, glGetVertexAttribiv, glGetVertexAttribiv, glIsProgram, glIsShader, glLinkProgram, glReleaseShaderCompiler, glShaderBinary, glShaderBinary, glShaderSource, glShaderSource, glStencilFuncSeparate, glStencilMaskSeparate, glStencilOpSeparate, glUniform, glUniform1f, glUniform1fv, glUniform1fv, glUniform1i, glUniform1iv, glUniform1iv, glUniform2f, glUniform2fv, glUniform2fv, glUniform2i, glUniform2iv, glUniform2iv, glUniform3f, glUniform3fv, glUniform3fv, glUniform3i, glUniform3iv, glUniform3iv, glUniform4f, glUniform4fv, glUniform4fv, glUniform4i, glUniform4iv, glUniform4iv, glUniformMatrix2fv, glUniformMatrix2fv, glUniformMatrix3fv, glUniformMatrix3fv, glUniformMatrix4fv, glUniformMatrix4fv, glUseProgram, glValidateProgram, glVertexAttrib1f, glVertexAttrib1fv, glVertexAttrib1fv, glVertexAttrib2f, glVertexAttrib2fv, glVertexAttrib2fv, glVertexAttrib3f, glVertexAttrib3fv, glVertexAttrib3fv, glVertexAttrib4f, glVertexAttrib4fv, glVertexAttrib4fv, glVertexAttribPointer, glVertexAttribPointer, glVertexAttribPointer`

Methods inherited from interface javax.media.opengl.GL
`glActiveTexture, glBindBuffer, glBindFramebuffer, glBindRenderbuffer, glBindTexture, glBlendEquation, glBlendEquationSeparate, glBlendFunc, glBlendFuncSeparate, glBufferData, glBufferSubData, glCheckFramebufferStatus, glClear, glClearColor, glClearDepthf, glClearStencil, glColorMask, glCompressedTexImage2D, glCompressedTexImage2D, glCompressedTexSubImage2D, glCompressedTexSubImage2D, glCopyTexImage2D, glCopyTexSubImage2D, glCullFace, glDeleteBuffers, glDeleteBuffers, glDeleteFramebuffers, glDeleteFramebuffers, glDeleteRenderbuffers, glDeleteRenderbuffers, glDeleteTextures, glDeleteTextures, glDepthFunc, glDepthMask, glDepthRangef, glDisable, glDrawArrays, glDrawElements, glDrawElements, glEnable, glFinish, glFlush, glFramebufferRenderbuffer, glFramebufferTexture2D, glFrontFace, glGenBuffers, glGenBuffers, glGenerateMipmap, glGenFramebuffers, glGenFramebuffers, glGenRenderbuffers, glGenRenderbuffers, glGenTextures, glGenTextures, glGetBooleanv, glGetBooleanv, glGetBoundBuffer, glGetBufferParameteriv, glGetBufferParameteriv, glGetError, glGetFloatv, glGetFloatv, glGetFramebufferAttachmentParameteriv, glGetFramebufferAttachmentParameteriv, glGetIntegerv, glGetIntegerv, glGetRenderbufferParameteriv, glGetRenderbufferParameteriv, glGetString, glGetTexParameterfv, glGetTexParameterfv, glGetTexParameteriv, glGetTexParameteriv, glHint, glIsBuffer, glIsEnabled, glIsFramebuffer, glIsRenderbuffer, glIsTexture, glIsVBOArrayEnabled, glIsVBOElementEnabled, glLineWidth, glMapBuffer, glPixelStorei, glPolygonOffset, glReadPixels, glReadPixels, glRenderbufferStorage, glSampleCoverage, glScissor, glStencilFunc, glStencilMask, glStencilOp, glTexImage2D, glTexImage2D, glTexParameterf, glTexParameterfv, glTexParameterfv, glTexParameteri, glTexParameteriv, glTexParameteriv, glTexSubImage2D, glTexSubImage2D, glUnmapBuffer, glViewport`

Methods inherited from interface javax.media.opengl.GLBase
`getContext, getExtension, getGL, getGL2, getGL2ES1, getGL2ES2, getGL2GL3, getGL3, getGLES1, getGLES2, getGLProfile, getPlatformGLExtensions, getSwapInterval, hasGLSL, isExtensionAvailable, isFunctionAvailable, isGL, isGL2, isGL2ES1, isGL2ES2, isGL2GL3, isGL3, isGLES, isGLES1, isGLES2, setSwapInterval`

Field Detail

### GL_NVIDIA_PLATFORM_BINARY_NV

    static final int GL_NVIDIA_PLATFORM_BINARY_NV

See Also:
  Constant Field Values

Method Detail

### glEGLImageTargetTexture2DOES

    void glEGLImageTargetTexture2DOES(int target,
                                      Buffer image)

  Entry point to C language function: `void glEGLImageTargetTexture2DOES(GLenum target, GLeglImageOES image);`
  Part of `GL_OES_EGL_image`

### glGetShaderPrecisionFormat

    void glGetShaderPrecisionFormat(int shadertype,
                                    int precisiontype,
                                    IntBuffer range,
                                    IntBuffer precision)

  Entry point to C language function: `void glGetShaderPrecisionFormat(GLenum shadertype, GLenum precisiontype, GLint * range, GLint * precision);`
  Part of `GL_ES_VERSION_2_0`

### glGetShaderPrecisionFormat

    void glGetShaderPrecisionFormat(int shadertype,
                                    int precisiontype,
                                    int[] range,
                                    int range_offset,
                                    int[] precision,
                                    int precision_offset)

  Entry point to C language function: `void glGetShaderPrecisionFormat(GLenum shadertype, GLenum precisiontype, GLint * range, GLint * precision);`
  Part of `GL_ES_VERSION_2_0`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.